// ◇ UTF-8
/**
 * JNIインターフェース
 */


package com.example.landloader.java.t02;

import android.app.Application;
import android.content.Context;
import android.content.res.AssetManager;
import android.util.Log;

public class JNILib {
	private static final String TAG="LandLoaderJavaT02";
	private static final String SUBTAG="JNILib";
	private static final boolean Verbose = false;
	private static final boolean Debug = false;
	private static final boolean Info = true; //false;
	// if (Verbose) Log.v(TAG, SUBTAG+": "+"");
	// if (Debug) Log.d(TAG, SUBTAG+": "+"");
	// if (Info) Log.i(TAG, SUBTAG+": "+"");

	/*
	 * JNIライブラリとして読み込む.soライブラリ名を設定します。
	 * "libjnitest.so"を読み込む場合、"jnitest"と指定します。
	 */
	private static final String LIBNAME = "jnitest";

	private Context me;
	private static final String ANDROIDSONAME = "/system/lib/libandroid.so";

	/**
	 * コンストラクタ
	 * @param context Context
	 */
	public JNILib(Context context) {
		if (Info) Log.i(TAG, SUBTAG+": "+"JNILib(): start");

		me = context;

		// まず /system/lib/libandroid.so を読み込む
		try {
			if (Info) Log.i(TAG, SUBTAG+": "+"JNILib(): Loading: ["+ANDROIDSONAME+"]");
			System.load(ANDROIDSONAME);
		} catch (final Exception e) {
			Log.e(TAG, SUBTAG+": "+"JNILib(): Failed: Loading: ["+ANDROIDSONAME+"]");
			e.printStackTrace();
			return;
		}

		// 本来起動するべきライブラリを読み込む
		try {
			if (Info) Log.i(TAG, SUBTAG+": "+"JNILib(): Loading [lib"+LIBNAME+".so]");
			System.loadLibrary(LIBNAME);
		} catch (final Exception e) {
			Log.e(TAG, SUBTAG+": "+"JNILib(): Failed: Loading: [lib"+LIBNAME+".so]");
			e.printStackTrace();
		}

		// ライブラリを呼び出す
		if (Info) Log.i(TAG, SUBTAG+": "+"JNILib(): Call function");
		TestFunc();

     }

	/**
	 * JNI実装部の宣言
	 */
	 public static native void TestFunc();

}

// [EOF]
